﻿using System;
using System.Diagnostics;
using System.IO;
using System.Windows.Forms;

namespace OSKtest {
    public partial class Form1 : Form {

        public Form1() {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e) {
            Process.Start(new ProcessStartInfo(Environment.GetFolderPath(Environment.SpecialFolder.System) + @"\osk.exe"));
        }

        private void button2_Click(object sender, EventArgs e) {
            var path64 = Path.Combine(Directory.GetDirectories(Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.Windows), "winsxs"), "amd64_microsoft-windows-osk_*")[0], "osk.exe");
            var path32 = @"C:\windows\system32\osk.exe";
            var path = (Environment.Is64BitOperatingSystem) ? path64 : path32;
            if (File.Exists(path)) {
                Process.Start(path);
            }
        }
    }
}
